
namespace BooCompiler.Tests
{
	using NUnit.Framework;
	using Boo.Lang.Compiler;	

	[TestFixture]
	public class CompilerWarningsTestFixture : AbstractCompilerTestCase
	{	
		protected override CompilerPipeline SetUpCompilerPipeline()
		{
			CompilerPipeline pipeline = new Boo.Lang.Compiler.Pipelines.Compile();
			pipeline.Add(new Boo.Lang.Compiler.Steps.PrintWarnings());
			return pipeline;
		}

		[Test]
		public void BCW0001_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-1.boo");
		}
		
		[Test]
		public void BCW0001_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-2.boo");
		}
		
		[Test]
		public void BCW0001_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-3.boo");
		}
		
		[Test]
		public void BCW0001_4()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-4.boo");
		}
		
		[Test]
		public void BCW0001_5()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-5.boo");
		}
		
		[Test]
		public void BCW0001_6()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-6.boo");
		}
		
		[Test]
		public void BCW0001_7()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-7.boo");
		}
		
		[Test]
		public void BCW0001_8()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/warnings/BCW0001-8.boo");
		}
		
	}
}
